BinaryExpression (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.filter.BinaryExpression class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.filter
Class BinaryExpression

    java.lang.Object
      org.codehaus.activemq.filter.BinaryExpression

All Implemented Interfaces:
  Expression

Direct Known Subclasses:
  ArithmeticExpression, ComparisonExpression, LogicExpression

public abstract class BinaryExpression
extends Object
implements Expression

An expression which performs an operation on two expression values.

Version:
  $Revision: 1.1 $

Field Summary
`protected Expression` | `left`
`protected Expression` | `right`

Constructor Summary
`BinaryExpression(Expression left, Expression right)`

Method Summary
`boolean` | `equals(Object o)` TODO: more efficient hashCode()
`abstract String` | `getExpressionSymbol()` Returns the symbol that represents this binary expression.
`Expression` | `getLeft()`
`Expression` | `getRight()`
`int` | `hashCode()` TODO: more efficient hashCode()
`void` | `setLeft(Expression expression)`
`void` | `setRight(Expression expression)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.activemq.filter.Expression
`evaluate`

Field Detail

### left

    protected Expression left

### right

    protected Expression right

Constructor Detail

### BinaryExpression

    public BinaryExpression(Expression left,
                            Expression right)

Method Detail

### getLeft

    public Expression getLeft()

### getRight

    public Expression getRight()

### toString

    public String toString()

  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  TODO: more efficient hashCode()

  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object o)

  TODO: more efficient hashCode()

  See Also:
    `Object.equals(java.lang.Object)`

### getExpressionSymbol

    public abstract String getExpressionSymbol()

  Returns the symbol that represents this binary expression. For example, addition is represented by "+"

  Returns:

### setRight

    public void setRight(Expression expression)

  Parameters:
    `expression` -

### setLeft

    public void setLeft(Expression expression)

  Parameters:
    `expression` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.